curl -X DELETE https://api2.ecomailapp.cz/tracker/transaction/delete-bulk \
-H "key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"transaction_data": [
{"order_id": "1000001"},
{"order_id": "1000025", "shop": "someshop.com"}
]
}'
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, 'https://api2.ecomailapp.cz/tracker/transaction/delete-bulk');
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'DELETE');
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'key: YOUR_API_KEY',
'Content-Type: application/json',
]);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode([
'transaction_data' => [
['order_id' => '1000001'],
['order_id' => '1000025', 'shop' => 'someshop.com'],
],
]));
$response = curl_exec($ch);
curl_close($ch);
{
"deleted": 2
}
{
"errors": {
"transaction_data": ["The transaction data may not have more than 1000 items."]
}
}
Transactions
Delete bulk transactions
Delete multiple transactions in a single request.
DELETE
/
tracker
/
transaction
/
delete-bulk
curl -X DELETE https://api2.ecomailapp.cz/tracker/transaction/delete-bulk \
-H "key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"transaction_data": [
{"order_id": "1000001"},
{"order_id": "1000025", "shop": "someshop.com"}
]
}'
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, 'https://api2.ecomailapp.cz/tracker/transaction/delete-bulk');
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'DELETE');
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'key: YOUR_API_KEY',
'Content-Type: application/json',
]);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode([
'transaction_data' => [
['order_id' => '1000001'],
['order_id' => '1000025', 'shop' => 'someshop.com'],
],
]));
$response = curl_exec($ch);
curl_close($ch);
{
"deleted": 2
}
{
"errors": {
"transaction_data": ["The transaction data may not have more than 1000 items."]
}
}
Limited to 1000 transactions per request.
curl -X DELETE https://api2.ecomailapp.cz/tracker/transaction/delete-bulk \
-H "key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"transaction_data": [
{"order_id": "1000001"},
{"order_id": "1000025", "shop": "someshop.com"}
]
}'
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, 'https://api2.ecomailapp.cz/tracker/transaction/delete-bulk');
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'DELETE');
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'key: YOUR_API_KEY',
'Content-Type: application/json',
]);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode([
'transaction_data' => [
['order_id' => '1000001'],
['order_id' => '1000025', 'shop' => 'someshop.com'],
],
]));
$response = curl_exec($ch);
curl_close($ch);
{
"deleted": 2
}
{
"errors": {
"transaction_data": ["The transaction data may not have more than 1000 items."]
}
}
⌘I